Skip to main content

Install Device Package

PUT 

/v1/device/:deviceUid/package-install

Install a package with specific version to device by deviceUid.

Parameters

FieldTypeRequiredDescription
deviceUidstringrequiredDevice application id

Body

content-type: application/json or application/x-www-form-urlencoded

FieldTypeRequiredDescription
packageNamestringrequiredPackageName of package to install
versionstringrequiredVersion (typically semver) of package to install
buildstringoptionalBuild tag of package version to install. Typically architecture (arm, x386, x64 or versionCode for Android)

Request

Responses

OK

Response Headers
    Content-Type
    Link

    Contains URL pointing to the result of this action. Keep making requests to this URL, until the response indicates, that the action was processed. For more information, refer to endpoint Get Device History.